!ABCIncludeFile

OMIT('_EndOfInclude_',_MappointIncluded_)
_MappointIncluded_ EQUATE(1)

! --------------------------------------------------------------------------- !
! Class description:    Mappoint                                              !
! Version:              1.01                                                  !
! Description:          This class enables mappoint in your application       !
! --------------------------------------------------------------------------- !
! Authors:              Roel S.F. Abspoel (roel.abspoel@gmail.com)            !
!                       William Cirino (w_cirino@hotmail.com)                 !
!                                                                             !
! Copyright    :        This template and class is freeware and provided      !
!                       'as is'. You are welcome to share this template and   !
!                       class in its origional form. If you make modifications!
!                       please share these so they can be incorperated into   !
!                       a new public release.                                 !
!                                                                             !
! --------------------------------------------------------------------------- !

! BEGIN OF TYPE DECLARATIONS ------------------------------------------------ !

MappointClassVersion            EQUATE(101)

GeoPointer                      EQUATE(LONG)
geoPointerDefault               EQUATE(0)
geoPointerArrow                 EQUATE(1)
geoPointerCrosshair             EQUATE(2)
geoPointerIbeam                 EQUATE(3)
geoPointerSizeNESW              EQUATE(6)
geoPointerSizeNS                EQUATE(7)
geoPointerSizeNWSE              EQUATE(8)
geoPointerSizeWE                EQUATE(9)
geoPointerUpArrow               EQUATE(10)
geoPointerHourglass             EQUATE(11)
geoPointerNoDrop                EQUATE(12)
geoPointerArrowHourglass        EQUATE(13)
geoPointerArrowQuestion         EQUATE(14)
geoPointerSizeAll               EQUATE(15)
geoPointerHand                  EQUATE(23)

tagREADYSTATE                   EQUATE(LONG)
READYSTATE_UNINITIALIZED        EQUATE(0)
READYSTATE_LOADING              EQUATE(1)
READYSTATE_LOADED               EQUATE(2)
READYSTATE_INTERACTIVE          EQUATE(3)
READYSTATE_COMPLETE             EQUATE(4)

GeoWindowState                  EQUATE(LONG)
geoWindowStateMaximize          EQUATE(0)
geoWindowStateMinimize          EQUATE(1)
geoWindowStateNormal            EQUATE(2)

GeoUnits                        EQUATE(LONG)
geoMiles                        EQUATE(0)
geoKm                           EQUATE(1)

GeoPaneState                    EQUATE(LONG)
geoPaneLegend                   EQUATE(0)
geoPaneRoutePlanner             EQUATE(1)
geoPaneNearbyPlaces             EQUATE(2)
geoPaneNone                     EQUATE(3)
geoPaneTerritory                EQUATE(4)

GeoMapRegion                    EQUATE(LONG)
geoMapNorthAmerica              EQUATE(1)
geoMapEurope                    EQUATE(2)

GeoTriState                     EQUATE(LONG)
geoTriStateToggle               EQUATE(0FFFFFFFDH)
geoTriStateMixed                EQUATE(0FFFFFFFEH)
geoTrue                         EQUATE(0FFFFFFFFH)
geoFalse                        EQUATE(0)

GeoFindResultsQuality           EQUATE(LONG)
geoAllResultsValid              EQUATE(0)
geoFirstResultGood              EQUATE(1)
geoAmbiguousResults             EQUATE(2)
geoNoGoodResult                 EQUATE(3)
geoNoResults                    EQUATE(4)

GeoCountry                      EQUATE(LONG)
geoCountryDefault               EQUATE(0)
geoCountryAlbania               EQUATE(6)
geoCountryArgentina             EQUATE(11)
geoCountryAustralia             EQUATE(12)
geoCountryAustria               EQUATE(14)
geoCountryBangladesh            EQUATE(23)
geoCountryBelarus               EQUATE(29)
geoCountryBelgium               EQUATE(21)
geoCountryBolivia               EQUATE(26)
geoCountryBrazil                EQUATE(32)
geoCountryBulgaria              EQUATE(35)
geoCountryCanada                EQUATE(39)
geoCountryChile                 EQUATE(46)
geoCountryChina                 EQUATE(45)
geoCountryColombia              EQUATE(51)
geoCountryCzechRepublic         EQUATE(75)
geoCountryDenmark               EQUATE(61)
geoCountryEcuador               EQUATE(66)
geoCountryEstonia               EQUATE(70)
geoCountryFinland               EQUATE(77)
geoCountryFrance                EQUATE(84)
geoCountryFrenchGuiana          EQUATE(76)
geoCountryGeorgia               EQUATE(88)
geoCountryGermany               EQUATE(94)
geoCountryGreece                EQUATE(98)
geoCountryHungary               EQUATE(109)
geoCountryIceland               EQUATE(110)
geoCountryIndia                 EQUATE(113)
geoCountryIndonesia             EQUATE(111)
geoCountryIreland               EQUATE(68)
geoCountryItaly                 EQUATE(118)
geoCountryJapan                 EQUATE(122)
geoCountryLatvia                EQUATE(140)
geoCountryLiechtenstein         EQUATE(145)
geoCountryLithuania             EQUATE(141)
geoCountryLuxembourg            EQUATE(147)
geoCountryMalaysia              EQUATE(167)
geoCountryMexico                EQUATE(166)
geoCountryNorthKorea            EQUATE(131)
geoCountryNorway                EQUATE(177)
geoCountryParaguay              EQUATE(185)
geoCountryPeru                  EQUATE(187)
geoCountryPoland                EQUATE(191)
geoCountryPortugal              EQUATE(193)
geoCountryRomania               EQUATE(200)
geoCountryRussia                EQUATE(203)
geoCountrySlovakia              EQUATE(143)
geoCountrySlovenia              EQUATE(212)
geoCountrySouthAfrica           EQUATE(209)
geoCountrySouthKorea            EQUATE(134)
geoCountrySpain                 EQUATE(217)
geoCountrySuriname              EQUATE(181)
geoCountrySweden                EQUATE(221)
geoCountrySwitzerland           EQUATE(223)
geoCountryTheNetherlands        EQUATE(176)
geoCountryTurkey                EQUATE(235)
geoCountryUkraine               EQUATE(241)
geoCountryUnitedKingdom         EQUATE(242)
geoCountryUnitedStates          EQUATE(244)
geoCountryUruguay               EQUATE(246)
geoCountryVenezuela             EQUATE(249)
geoCountryMultiCountry          EQUATE(39070)

GeoShowDataBy                   EQUATE(LONG)
geoShowByZoomLevel              EQUATE(0FFFFFFFEH)
geoShowByDefault                EQUATE(0FFFFFFFFH)
geoShowByTerritory              EQUATE(4)
geoShowByLatLong                EQUATE(5)
geoShowByOSGridRef              EQUATE(6)
geoShowByStreetAddress          EQUATE(7)
geoShowByCity                   EQUATE(8)
geoShowByCensus1                EQUATE(9)
geoShowByCensus2                EQUATE(10)
geoShowByPostal1                EQUATE(12)
geoShowByPostal2                EQUATE(13)
geoShowByPostal3                EQUATE(14)
geoShowByPostal4                EQUATE(15)
geoShowByRegion3                EQUATE(16)
geoShowByRegion2                EQUATE(17)
geoShowByRegion1                EQUATE(18)
geoShowByCountry                EQUATE(19)

GeoSegmentPreferences           EQUATE(LONG)
geoSegmentQuickest              EQUATE(0)
geoSegmentShortest              EQUATE(1)
geoSegmentPreferred             EQUATE(2)

GeoOrderCmd                     EQUATE(LONG)
geoMoveToTop                    EQUATE(0)
geoMoveToBottom                 EQUATE(1)
geoMoveUp                       EQUATE(2)
geoMoveDown                     EQUATE(3)

GeoDirectionType                EQUATE(LONG)
geoDirectionOther               EQUATE(0)
geoDirectionDriving             EQUATE(1)
geoDirectionBorder              EQUATE(2)
geoDirectionStartOfDay          EQUATE(3)
geoDirectionEndOfDay            EQUATE(4)
geoDirectionFuel                EQUATE(5)
geoDirectionConstruction        EQUATE(6)
geoDirectionRestBreak           EQUATE(7)
geoDirectionWarning             EQUATE(8)
geoDirectionWaypoint            EQUATE(9)

GeoDirectionAction              EQUATE(LONG)
geoActionOther                  EQUATE(0)
geoActionDepart                 EQUATE(1)
geoActionArrive                 EQUATE(2)
geoActionTurnLeft               EQUATE(3)
geoActionTurnRight              EQUATE(4)
geoActionBearLeft               EQUATE(5)
geoActionBearRight              EQUATE(6)
geoActionMerge                  EQUATE(7)
geoActionContinue               EQUATE(8)
geoActionCrossBorder            EQUATE(9)
geoActionTurnBack               EQUATE(10)
geoActionEnterRoundabout        EQUATE(11)
geoActionExitRoundabout         EQUATE(12)

GeoWaypointType                 EQUATE(LONG)
geoWaypointStart                EQUATE(1)
geoWaypointStop                 EQUATE(2)
geoWaypointEnd                  EQUATE(3)

GeoVolumeUnits                  EQUATE(LONG)
geoLiters                       EQUATE(1)
geoUSGallons                    EQUATE(2)
geoUKGallons                    EQUATE(3)

GeoDrivingCostUnits             EQUATE(LONG)
geoCostBasedOnDistance          EQUATE(0)
geoCostBasedOnLiters            EQUATE(1)
geoCostBasedOnUSGallons         EQUATE(2)
geoCostBasedOnUKGallons         EQUATE(3)

GeoFuelConsumptionUnits         EQUATE(LONG)
geoLitersPer100Kilometers       EQUATE(1)
geoLitersPer10Kilometers        EQUATE(2)
geoMilesPerGallonUS             EQUATE(3)
geoMilesPerGallonUK             EQUATE(4)

GeoRoadType                     EQUATE(LONG)
geoRoadInterstate               EQUATE(1)
geoRoadLimitedAccess            EQUATE(2)
geoRoadOtherHighway             EQUATE(3)
geoRoadArterial                 EQUATE(4)
geoRoadStreet                   EQUATE(5)
geoRoadToll                     EQUATE(6)
geoRoadFerry                    EQUATE(7)

DataTypeEnum                    EQUATE(LONG)
adEmpty                         EQUATE(0)
adTinyInt                       EQUATE(16)
adSmallInt                      EQUATE(2)
adInteger                       EQUATE(3)
adBigInt                        EQUATE(20)
adUnsignedTinyInt               EQUATE(17)
adUnsignedSmallInt              EQUATE(18)
adUnsignedInt                   EQUATE(19)
adUnsignedBigInt                EQUATE(21)
adSingle                        EQUATE(4)
adDouble                        EQUATE(5)
adCurrency                      EQUATE(6)
adDecimal                       EQUATE(14)
adNumeric                       EQUATE(131)
adBoolean                       EQUATE(11)
adError                         EQUATE(10)
adUserDefined                   EQUATE(132)
adVariant                       EQUATE(12)
adIDispatch                     EQUATE(9)
adIUnknown                      EQUATE(13)
adGUID                          EQUATE(72)
adDate                          EQUATE(7)
adDBDate                        EQUATE(133)
adDBTime                        EQUATE(134)
adDBTimeStamp                   EQUATE(135)
adBSTR                          EQUATE(8)
adChar                          EQUATE(129)
adVarChar                       EQUATE(200)
adLongVarChar                   EQUATE(201)
adWChar                         EQUATE(130)
adVarWChar                      EQUATE(202)
adLongVarWChar                  EQUATE(203)
adBinary                        EQUATE(128)
adVarBinary                     EQUATE(204)
adLongVarBinary                 EQUATE(205)
adChapter                       EQUATE(136)
adFileTime                      EQUATE(64)
adDBFileTime                    EQUATE(137)
adPropVariant                   EQUATE(138)
adVarNumeric                    EQUATE(139)

GeoFieldType                    EQUATE(LONG)
geoFieldSkipped                 EQUATE(0)
geoFieldName                    EQUATE(1)
geoFieldName2                   EQUATE(2)
geoFieldAddress1                EQUATE(3)
geoFieldAddress2                EQUATE(4)
geoFieldAddress3                EQUATE(5)
geoFieldCity                    EQUATE(6)
geoFieldOtherCity               EQUATE(7)
geoFieldRegion3                 EQUATE(8)
geoFieldRegion2                 EQUATE(9)
geoFieldRegion1                 EQUATE(10)
geoFieldPostal1                 EQUATE(11)
geoFieldPostal2                 EQUATE(12)
geoFieldPostal3                 EQUATE(13)
geoFieldPostal4                 EQUATE(14)
geoFieldCountry                 EQUATE(15)
geoFieldCensus1                 EQUATE(16)
geoFieldCensus2                 EQUATE(17)
geoFieldOSGridRef               EQUATE(19)
geoFieldLatitude                EQUATE(20)
geoFieldLongitude               EQUATE(21)
geoFieldInformation             EQUATE(22)
geoFieldData                    EQUATE(23)
geoFieldTerritory               EQUATE(25)

GeoBalloonState                 EQUATE(LONG)
geoDisplayNone                  EQUATE(0)
geoDisplayName                  EQUATE(1)
geoDisplayBalloon               EQUATE(2)

GeoMatchingMethod               EQUATE(LONG)
geoByNone                       EQUATE(1)
geoByHand                       EQUATE(2)
geoByFindAddress                EQUATE(3)
geoByTerritory                  EQUATE(4)
geoByLatLong                    EQUATE(5)
geoByOSGridRef                  EQUATE(6)
geoByStreetAddress              EQUATE(7)
geoByCity                       EQUATE(8)
geoByCensus1                    EQUATE(9)
geoByCensus2                    EQUATE(10)
geoByPostal1                    EQUATE(12)
geoByPostal2                    EQUATE(13)
geoByPostal3                    EQUATE(14)
geoByPostal4                    EQUATE(15)
geoByRegion3                    EQUATE(16)
geoByRegion2                    EQUATE(17)
geoByRegion1                    EQUATE(18)
geoByCountry                    EQUATE(19)
geoByOtherCity                  EQUATE(20)

GeoDataMapType                  EQUATE(LONG)
geoDataMapTypeDefault           EQUATE(0FFFFFFFFH)
geoDataMapTypeNone              EQUATE(0)
geoDataMapTypeShadedArea        EQUATE(1)
geoDataMapTypeSizedCircle       EQUATE(2)
geoDataMapTypeShadedCircle      EQUATE(3)
geoDataMapTypePushpin           EQUATE(4)
geoDataMapTypeMultipleSymbol    EQUATE(5)
geoDataMapTypeSizedPie          EQUATE(6)
geoDataMapTypeUnsizedPie        EQUATE(7)
geoDataMapTypeCategoricalColumn EQUATE(8)
geoDataMapTypeSeriesColumn      EQUATE(9)
geoDataMapTypeTerritory         EQUATE(10)

GeoCombineDataBy                EQUATE(LONG)
geoCombineByDefault             EQUATE(0FFFFFFFFH)
geoCombineByNone                EQUATE(0)
geoCombineByAdd                 EQUATE(1)
geoCombineByAverage             EQUATE(2)
geoCombineByCount               EQUATE(3)

GeoDataRangeType                EQUATE(LONG)
geoRangeTypeDefault             EQUATE(0FFFFFFFFH)
geoRangeTypeContinuous          EQUATE(1)
geoRangeTypeContinuousLog       EQUATE(2)
geoRangeTypeDiscreteEqualRanges EQUATE(3)
geoRangeTypeEqualDataPoints     EQUATE(4)
geoRangeTypeDiscreteLogRanges   EQUATE(5)
geoRangeTypeUniqueValues        EQUATE(6)
geoRangeTypeNone                EQUATE(7)

GeoDataRangeOrder               EQUATE(LONG)
geoRangeOrderDefault            EQUATE(0FFFFFFFFH)
geoRangeOrderLowToHigh          EQUATE(1)
geoRangeOrderHighToLow          EQUATE(2)

GeoAutoShapeType                EQUATE(LONG)
geoShapeRadius                  EQUATE(1009)
geoShapeOval                    EQUATE(9)
geoShapeRectangle               EQUATE(1)

GeoZOrderCmd                    EQUATE(LONG)
geoBringToFront                 EQUATE(0)
geoSendToBack                   EQUATE(1)
geoBringForward                 EQUATE(2)
geoSendBackward                 EQUATE(3)
geoBringInFrontOfRoads          EQUATE(4)
geoSendBehindRoads              EQUATE(5)

GeoRGBType                      EQUATE(long)
GeoShapeType                    EQUATE(LONG)
geoAutoShape                    EQUATE(1)
geoFreeform                     EQUATE(5)
geoLine                         EQUATE(9)
geoTextBox                      EQUATE(17)

GeoDataSetHyperlinkType         EQUATE(LONG)
geoHyperlinkNone                EQUATE(0)
geoHyperlinkNotes               EQUATE(1)
geoHyperlinkField               EQUATE(2)
geoHyperlinkCalculated          EQUATE(3)

GeoDataSetHowCreated            EQUATE(LONG)
geoDataSetManual                EQUATE(1)
geoDataSetImport                EQUATE(2)
geoDataSetLink                  EQUATE(3)
geoDataSetDemographic           EQUATE(5)

GeoDelimiter                    EQUATE(LONG)
geoDelimiterDefault             EQUATE(0)
geoDelimiterTab                 EQUATE(9)
geoDelimiterSemicolon           EQUATE(59)
geoDelimiterComma               EQUATE(44)

GeoDataMappingPage              EQUATE(LONG)
geoMapTypePage                  EQUATE(0)
geoDataSetPage                  EQUATE(1)
geoDataFieldsPage               EQUATE(2)
geoLegendPage                   EQUATE(3)
geoChartLegendPage              EQUATE(4)
geoPushpinSetPage               EQUATE(5)

GeoMapStyle                     EQUATE(LONG)
geoMapStyleRoad                 EQUATE(0)
geoMapStyleRoadData             EQUATE(1)
geoMapStyleData                 EQUATE(2)
geoMapStyleTerrain              EQUATE(3)
geoMapStylePolitical            EQUATE(4)

GeoMapFont                      EQUATE(LONG)
geoMapFontLargest               EQUATE(0)
geoMapFontLarger                EQUATE(1)
geoMapFontMedium                EQUATE(2)
geoMapFontSmaller               EQUATE(3)
geoMapFontSmallest              EQUATE(4)

GeoSaveFormat                   EQUATE(LONG)
geoFormatMap                    EQUATE(0)
geoFormatTemplate               EQUATE(1)
geoFormatHTMLMap                EQUATE(2)
geoFormatHTMLDirections         EQUATE(3)
geoFormatHTMLMapAndDirections   EQUATE(4)

GeoPrintArea                    EQUATE(LONG)
geoPrintMap                     EQUATE(0)
geoPrintDirections              EQUATE(1)
geoPrintTurnByTurn              EQUATE(2)
geoPrintStripMaps               EQUATE(3)
geoPrintSelectedArea            EQUATE(4)
geoPrintHighlightedPlaces       EQUATE(5)
geoPrintFullPage                EQUATE(6)

GeoPrintQuality                 EQUATE(LONG)
geoPrintQualityNormal           EQUATE(0)
geoPrintQualityDraft            EQUATE(1)
geoPrintQualityPresentation     EQUATE(2)

GeoPrintOrientation             EQUATE(LONG)
geoPrintPortrait                EQUATE(0)
geoPrintLandscape               EQUATE(1)
geoPrintAuto                    EQUATE(2)

GeoFindState                    EQUATE(LONG)
geoFindDefault                  EQUATE(0)
geoFindAddress                  EQUATE(1)
geoFindPlace                    EQUATE(2)
geoFindLatLong                  EQUATE(3)
geoFindOSGrid                   EQUATE(4)

GeoPanCmd                       EQUATE(LONG)
geoSouthWest                    EQUATE(1)
geoSouth                        EQUATE(2)
geoSouthEast                    EQUATE(3)
geoWest                         EQUATE(4)
geoEast                         EQUATE(6)
geoNorthWest                    EQUATE(7)
geoNorth                        EQUATE(8)
geoNorthEast                    EQUATE(9)

GeoMapProjection                EQUATE(LONG)
geoGlobeViewWhenZoomedOut       EQUATE(0)
geoFlatViewWhenZoomedOut        EQUATE(1)

GeoPaperSize                    EQUATE(LONG)
geoPaper10x14                   EQUATE(16)
geoPaper11x17                   EQUATE(17)
geoPaperA3                      EQUATE(8)
geoPaperA4                      EQUATE(9)
geoPaperA4Small                 EQUATE(10)
geoPaperA5                      EQUATE(11)
geoPaperB4                      EQUATE(12)
geoPaperB5                      EQUATE(13)
geoPaperCSheet                  EQUATE(24)
geoPaperDSheet                  EQUATE(25)
geoPaperEnvelope9               EQUATE(19)
geoPaperEnvelope10              EQUATE(20)
geoPaperEnvelope11              EQUATE(21)
geoPaperEnvelope12              EQUATE(22)
geoPaperEnvelope14              EQUATE(23)
geoPaperEnvelopeB4              EQUATE(33)
geoPaperEnvelopeB5              EQUATE(34)
geoPaperEnvelopeB6              EQUATE(35)
geoPaperEnvelopeC3              EQUATE(29)
geoPaperEnvelopeC4              EQUATE(30)
geoPaperEnvelopeC5              EQUATE(28)
geoPaperEnvelopeC6              EQUATE(31)
geoPaperEnvelopeC65             EQUATE(32)
geoPaperEnvelopeDL              EQUATE(27)
geoPaperEnvelopeItaly           EQUATE(36)
geoPaperEnvelopeMonarch         EQUATE(37)
geoPaperEnvelopePersonal        EQUATE(38)
geoPaperESheet                  EQUATE(26)
geoPaperExecutive               EQUATE(7)
geoPaperFanfoldLglGerman        EQUATE(41)
geoPaperFanfoldStdGerman        EQUATE(40)
geoPaperFanfoldUS               EQUATE(39)
geoPaperFolio                   EQUATE(14)
geoPaperLedger                  EQUATE(4)
geoPaperLegal                   EQUATE(5)
geoPaperLetter                  EQUATE(1)
geoPaperLetterSmall             EQUATE(2)
geoPaperNote                    EQUATE(18)
geoPaperQuarto                  EQUATE(15)
geoPaperStatement               EQUATE(6)
geoPaperTabloid                 EQUATE(3)
geoPaperUser                    EQUATE(256)

GeoPageBreakFrequency           EQUATE(LONG)
geoPageBreakMinimum             EQUATE(1)
geoPageBreakMore                EQUATE(2)
geoPageBreakStop                EQUATE(3)
geoPageBreakDay                 EQUATE(4)
geoPageBreakDistance            EQUATE(5)
geoPageBreakTime                EQUATE(6)

GeoDragBehavior                 EQUATE(LONG)
geoDragNone                     EQUATE(0)
geoDragHand                     EQUATE(1)
geoDragBox                      EQUATE(2)
geoDragOther                    EQUATE(3)

! END OF TYPE DECLARATIONS ----------------------------------------------------!

! BEGIN OF CLASS DECLARATION --------------------------------------------------!

MappointClass    CLASS,MODULE('Mappoint.CLW'),TYPE,LINK('Mappoint.CLW',_ABCLinkMode_),DLL(_ABCDllMode_)
! Mappoint class declaration

! -----------------------------------------------------------------------------!
! Property declarations within the class                                       !
! -----------------------------------------------------------------------------!

MPControl   LONG
MapObject   CSTRING(20)
IsMapActive CSTRING(20)
FoundResults    CSTRING(20)
PushPin     CSTRING(20)
ObjPin      CSTRING(20)
ObjRoute    CSTRING(20)
! -----------------------------------------------------------------------------!
! Method declarations within the class                                         !
! -----------------------------------------------------------------------------!

Construct            PROCEDURE
Destruct             PROCEDURE
Init                 PROCEDURE(LONG Cname,BYTE RErrors, BYTE StTools,BYTE NaTools,BYTE DrTools,BYTE LoTools,LONG MapChoice,Byte pBorder)

! Initialise OLE/OCX control
Save                 PROCEDURE
! Set the save switch
AddPinToAddress      PROCEDURE(LONG PinNr,STRING TheAddress,STRING TheDesc,STRING TheNote,BYTE ZoomIn,BYTE ShowBalloon)
! Add a pushpin to an adress
AddPinToLocation     PROCEDURE(LONG PinNr,STRING Latitude,STRING Longitude,STRING TheDesc,STRING TheNote,BYTE ZoomIn,BYTE ShowBalloon)
! Add a pushpin to a location
ZoomIn               PROCEDURE
! Zoom in on location
ZoomToAddress        PROCEDURE(STRING TheAddress)
! Zoom in on an adress
ZoomToLocation       PROCEDURE(STRING Latitude,STRING Longitude)
! Zoom in on a location
RemovePushpin        PROCEDURE(STRING PushPin)
! Remove a pushpin
PrintMap             PROCEDURE(STRING TheTitle)
! Print the map
OpenMap              PROCEDURE()
! Open a map
SaveMap              PROCEDURE()
! Save a map
FindDialog           PROCEDURE(STRING FindText,LONG FindType)
! Open the find dialog
SetAltitude          PROCEDURE(LONG pAltitude)
!Default Attitude to load map at
AllowEdgePanning     PROCEDURE(BYTE pAllowEdgepanning)
!Enable or Disable Edge panning of map
DragBehavior         PROCEDURE(BYTE pState)
!Change Status of map Draggin
StandardToolbar      PROCEDURE()
!Enable / Disable Standard Toolbar
NavigationToolbar    PROCEDURE()
!Enable / Disable Navigation Toolbar
DrawingToolbar       PROCEDURE()
!Enable / Disable Drawing Toolbar
LocationScaleToolbar PROCEDURE()
!Enable / Disable Location Scale Tool bar
! END OF CLASS DECLARATION ----------------------------------------------------!

        END

! -----------------------------------------------------------------------------!

_EndOfInclude_





